var dragapproved=false
var minrestore=0  //该变量表示窗口目前的状态，0表示初始化状态，1表示最大化状态
var initialwidth,initialheight
//若Client浏览器为IE5.0以上版本的
var ie5=document.all&&document.getElementById
//若Client浏览器为NetsCape6。0版本以上的
var ns6=document.getElementById&&!document.all

function iecompattest(){
return (!window.opera && document.compatMode && document.compatMode!="BackCompat")? document.documentElement : document.body
}

function drag_dropRegion(e){
if (ie5&&dragapproved&&event.button==1){
document.getElementById("DivRegion").style.left=tempx+event.clientX-offsetx+"px"
document.getElementById("DivRegion").style.top=tempy+event.clientY-offsety+"px"
}
else if (ns6&&dragapproved){
document.getElementById("DivRegion").style.left=tempx+e.clientX-offsetx+"px"
document.getElementById("DivRegion").style.top=tempy+e.clientY-offsety+"px"
}
}

function initializedragRegion(e){
offsetx=ie5? event.clientX : e.clientX
offsety=ie5? event.clientY : e.clientY
//document.getElementById("dwindowcontent").style.display="none" //此句代码可不要
tempx=parseInt(document.getElementById("DivRegion").style.left)
tempy=parseInt(document.getElementById("DivRegion").style.top)

dragapproved=true
document.getElementById("DivRegion").onmousemove=drag_dropRegion
}

function loadwindowRegion(width,height,clentid){
if (!ie5&&!ns6)  //若不为IE或Netscpae浏览器，则使用一般的Window.open进行弹出窗口处理
//window.open(url,"","width=width,height=height,scrollbars=1")
{
 
}
else{
document.getElementById("CheckGuid").value=clentid; //存储选择的
document.getElementById("DivRegion").style.display='';
document.getElementById("DivRegion").style.width=initialwidth=width+"px";
document.getElementById("DivRegion").style.height=initialheight=height+"px";
document.getElementById("DivRegion").style.left="100px";
document.getElementById("DivRegion").style.top=ns6? window.pageYOffset*1+30+"px" : iecompattest().scrollTop*1+30+"px";
//document.getElementById("cframe").src=url
}
}

function maximizeRegion(){
if (minrestore==0){
minrestore=1 //maximize window
document.getElementById("DivRegion").setAttribute("src","layout.png")
document.getElementById("DivRegion").style.width=ns6? window.innerWidth-20+"px" : iecompattest().clientWidth+"px"
document.getElementById("DivRegion").style.height=ns6? window.innerHeight-20+"px" : iecompattest().clientHeight+"px"
}
else{
minrestore=0 //restore window
document.getElementById("DivRegion").setAttribute("src","layout.png")
document.getElementById("DivRegion").style.width=initialwidth
document.getElementById("DivRegion").style.height=initialheight
}
document.getElementById("DivRegion").style.left=ns6? window.pageXOffset+"px" : iecompattest().scrollLeft+"px"
document.getElementById("DivRegion").style.top=ns6? window.pageYOffset+"px" : iecompattest().scrollTop+"px"
}

function closeitRegion(){
document.getElementById("DivRegion").style.display="none"

}

function stopdragRegion(){
dragapproved=false;
document.getElementById("DivRegion").onmousemove=null;
document.getElementById("DivRegioncontent").style.display="" //extra
}